Get Business Data
curl --request GET \
--url https://api.erlcrussia.xyz/v2/moscowroleplay/civops/businesses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.erlcrussia.xyz/v2/moscowroleplay/civops/businesses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.erlcrussia.xyz/v2/moscowroleplay/civops/businesses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"total": 50,
"businesses": [
{
"id": "UCEW29",
"user_id": "760966468715937814",
"username": "ttunku_pal",
"name": "Roma Aeterna",
"form": "ООО",
"status": "active",
"created_at": 1761587615,
"approved_by": "1133665013794607114",
"owner_id": "760966468715937814",
"owner_name": "ttunku_pal",
"channel_id": "1432651696210841760",
"channel_name": "🇮🇹┃roma-aeterna",
"role_id": "1432651691987304522",
"role_name": "Roma Aeterna",
"employee_role_id": "1432651694289846302",
"employee_role_name": "Сотрудник Бизнеса Roma Aeterna",
"description": "В «Roma Aeterna» мы верим, что лучшие беседы рождаются за вкусной едой. Наше кафе создано для того, чтобы вы чувствовали себя как в гостях у друзей в солнечной Италии.",
"info_msg_id": "1432651699952156712",
"address": "2221 Southern Avenue",
"bank": 350
}
]
}Economy API GET Endpoints
Get Business Data
Retrieve information about businesses on the server.
Available actions:
list- list of all businesses (requires page, limit).info- business information (requires businessId or businessName).balance- business balance (requires businessId).employees- business employees (requires businessId, page, limit).store- business products (requires businessName).transfers- business transfers (requires businessId, page, limit).rating- top businesses by balance (requires limit).pending- pending business creation requests.
GET
/
moscowroleplay
/
civops
/
businesses
Get Business Data
Authorizations
API key for accessing CivOps endpoints.
Passed in the Authorization: Bearer <key> header.
REQUIRED FOR ALL CIVOPS ENDPOINTS (except /health).
Query Parameters
Action type for retrieving data.
Available options:
list, info, balance, employees, store, transfers, rating, pending Business ID (for info, balance, employees, transfers).
Business name.
Record limit.
Page number.
Response
Successful response with business data.
The response is of type object.
Was this page helpful?